Bug 15175 - IntranetBiblioDefaultView syspref is not respected when XSLTResultsDisplay is empty
Summary: IntranetBiblioDefaultView syspref is not respected when XSLTResultsDisplay is...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Frédéric Demians
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-11 17:12 UTC by Frédéric Demians
Modified: 2017-06-14 22:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15175 Respect IntranetBiblioDefaultView syspref (4.01 KB, patch)
2015-11-11 18:03 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15175 Respect IntranetBiblioDefaultView syspref (4.15 KB, patch)
2015-11-12 15:18 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 15175 Respect IntranetBiblioDefaultView syspref (4.26 KB, patch)
2015-11-16 19:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2015-11-11 17:12:18 UTC
IntranetDefaultView syspref is not respected when XSLTResultsDisplay is empty:
the link on cover images in search.pl result page goes always to detail.pl.
Comment 1 Frédéric Demians 2015-11-11 18:03:59 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-11-12 15:18:16 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-16 19:26:14 UTC
We have formally deprecated the non-XSLT views a while ago:

DEPR1: non-XSLT search results and bib display templates deprecated

As of 2014-07-02, use of the XSLT search results and bib details display templates for the staff interface and public catalog is now the preferred option. Consequently, the non-XSLT option is now deprecated and it will not be maintained.

Template files used by the non-XSLT bib and results displays need not be touched in future staff interface and public catalog enhancements; it is necessary only to update XSLT. 

---

As this is more of a bug fix, I have tested it. Leaving the final decision to our RM ;)
Comment 4 Katrin Fischer 2015-11-16 19:27:27 UTC
Created attachment 44886 [details] [review]
[PASSED QA] Bug 15175 Respect IntranetBiblioDefaultView syspref

Respect IntranetBiblioDefaultView on intra search result page, on cover image
link, when XSLTResultsDisplay is empty.

TO TEST:

1. Empty XSLTResultsDisplay
2. Activate intranet local and Amazon cover images
3. Play changing IntranetBiblioDefault, and observe the links respectively on
   biblio record title and cover image. Title's link is OK, cover image
   link goes to detail.pl page independently of IntranetBiblioDefault.
4. Apply the patch.
5. Repeat 3.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Link to right display according with IntranetBiblioDefaultView is fixed.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

http://bugs.koha-community.org/show_bug.cgi?id=14175
Comment 5 Tomás Cohen Arazi 2015-11-17 13:06:28 UTC
Patch pushed to master.

Thanks Frederic!
Comment 6 Frédéric Demians 2015-11-29 21:10:40 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 7 Liz Rea 2016-01-06 21:21:53 UTC
Pushed to 3.18.13, and released.